commit db1de472c1d1a4bef98b67f181a6e4fc8b5cbcfb
Author: Andrew Beekhof <andrew@beekhof.net>
Date:   Mon May 29 19:24:50 2017 +1000

    Log: PE: Improve logging of node fencing and shutdown

Index: pacemaker/lib/pengine/unpack.c
===================================================================
--- pacemaker.orig/lib/pengine/unpack.c
+++ pacemaker/lib/pengine/unpack.c
@@ -62,6 +62,7 @@ is_dangling_container_remote_node(node_t
     return FALSE;
 }
 
+
 void
 pe_fence_node(pe_working_set_t * data_set, node_t * node, const char *reason)
 {
@@ -72,12 +73,12 @@ pe_fence_node(pe_working_set_t * data_se
         resource_t *rsc = node->details->remote_rsc->container;
         if (is_set(rsc->flags, pe_rsc_failed) == FALSE) {
             if (!is_set(rsc->flags, pe_rsc_managed)) {
-                crm_notice("Not fencing guest node %s because the container is "
-                           "unmanaged, otherwise we would do so recovering %s "
-                           "%s", node->details->uname, rsc->id, reason);
+                crm_notice("Not fencing node %s due to '%s': container %s is"
+                           " unmanaged"
+                           "%s", node->details->uname, reason, rsc->id);
             } else {
-                crm_warn("Guest node %s will be fenced (by recovering %s) %s",
-                    node->details->uname, rsc->id, reason);
+                crm_warn("Remote node %s will be fenced due to '%s' by recovering %s",
+                         node->details->uname, rsc->id, reason);
 
                 /* We don't mark the node as unclean because that would prevent the
                  * node from running resources. We want to allow it to run resources
@@ -87,8 +88,9 @@ pe_fence_node(pe_working_set_t * data_se
                 set_bit(rsc->flags, pe_rsc_failed);
             }
         }
+
     } else if (is_dangling_container_remote_node(node)) {
-        crm_info("Cleaning up dangling connection resource for guest node %s %s"
+        crm_info("Cleaning up dangling connection resource for guest node %s due to '%s'"
                  " (fencing is already done, guest resource no longer exists)",
                  node->details->uname, reason);
         set_bit(node->details->remote_rsc->flags, pe_rsc_failed);
@@ -97,28 +99,32 @@ pe_fence_node(pe_working_set_t * data_se
         resource_t *rsc = node->details->remote_rsc;
 
         if (rsc && (!is_set(rsc->flags, pe_rsc_managed))) {
-            crm_notice("Not fencing node %s because connection is unmanaged, "
-                       "otherwise would %s", node->details->uname, reason);
+            crm_notice("Not fencing node %s due to '%s': connection is unmanaged",
+                       node->details->uname, reason);
         } else if(node->details->remote_requires_reset == FALSE) {
             node->details->remote_requires_reset = TRUE;
             if (pe_can_fence(data_set, node)) {
-                crm_warn("Node %s will be fenced %s", node->details->uname, reason);
+                crm_warn("Remote node %s will be fenced due to %s", node->details->uname, reason);
             } else {
-                crm_warn("Node %s is unclean %s", node->details->uname, reason);
+                crm_warn("Remote node %s is unclean due to %s", node->details->uname, reason);
             }
         }
         node->details->unclean = TRUE;
 
-    } else if (node->details->unclean == FALSE) {
+    } else if (node->details->unclean) {
         if (pe_can_fence(data_set, node)) {
-            crm_warn("Node %s will be fenced %s", node->details->uname, reason);
+            crm_trace("Node %s would also be fenced due to '%s'", node->details->uname, reason);
         } else {
-            crm_warn("Node %s is unclean %s", node->details->uname, reason);
+            crm_trace("Node %s is also unclean due to '%s'", node->details->uname, reason);
         }
+
+    } else if (pe_can_fence(data_set, node)) {
+        crm_warn("Node %s will be fenced due to %s", node->details->uname, reason);
         node->details->unclean = TRUE;
 
     } else {
-        crm_trace("Node %s would also be fenced '%s'", node->details->uname, reason);
+        crm_warn("Node %s is unclean due to %s", node->details->uname, reason);
+        node->details->unclean = TRUE;
     }
 }
 
@@ -1139,7 +1145,7 @@ unpack_status(xmlNode * status, pe_worki
                 /* Everything else should flow from this automatically
                  * At least until the PE becomes able to migrate off healthy resources
                  */
-                pe_fence_node(data_set, this_node, "because the cluster does not have quorum");
+                pe_fence_node(data_set, this_node, "cluster does not have quorum");
             }
         }
     }
@@ -1322,7 +1328,7 @@ determine_online_status_no_fencing(pe_wo
 
     } else {
         /* mark it unclean */
-        pe_fence_node(data_set, this_node, "because node is unexpectedly down");
+        pe_fence_node(data_set, this_node, "peer is unexpectedly down");
         crm_info("\tin_cluster=%s, is_peer=%s, join=%s, expected=%s",
                  crm_str(in_cluster), crm_str(is_peer), crm_str(join), crm_str(exp_state));
     }
@@ -1379,10 +1385,10 @@ determine_online_status_fencing(pe_worki
         online = crm_is_true(is_peer);
 
     } else if (in_cluster == NULL) {
-        pe_fence_node(data_set, this_node, "because the peer has not been seen by the cluster");
+        pe_fence_node(data_set, this_node, "peer has not been seen by the cluster");
 
     } else if (safe_str_eq(join, CRMD_JOINSTATE_NACK)) {
-        pe_fence_node(data_set, this_node, "because it failed the pacemaker membership criteria");
+        pe_fence_node(data_set, this_node, "peer failed the pacemaker membership criteria");
 
     } else if (do_terminate == FALSE && safe_str_eq(exp_state, CRMD_JOINSTATE_DOWN)) {
 
@@ -1401,14 +1407,14 @@ determine_online_status_fencing(pe_worki
         online = FALSE;
 
     } else if (crm_is_true(in_cluster) == FALSE) {
-        pe_fence_node(data_set, this_node, "because the node is no longer part of the cluster");
+        pe_fence_node(data_set, this_node, "peer is no longer part of the cluster");
 
     } else if (crm_is_true(is_peer) == FALSE) {
-        pe_fence_node(data_set, this_node, "because our peer process is no longer available");
+        pe_fence_node(data_set, this_node, "peer process is no longer available");
 
         /* Everything is running at this point, now check join state */
     } else if (do_terminate) {
-        pe_fence_node(data_set, this_node, "because termination was requested");
+        pe_fence_node(data_set, this_node, "termination was requested");
 
     } else if (safe_str_eq(join, CRMD_JOINSTATE_MEMBER)) {
         crm_info("Node %s is active", this_node->details->uname);
@@ -1420,7 +1426,7 @@ determine_online_status_fencing(pe_worki
         this_node->details->pending = TRUE;
 
     } else {
-        pe_fence_node(data_set, this_node, "because the peer was in an unknown state");
+        pe_fence_node(data_set, this_node, "peer was in an unknown state");
         crm_warn("%s: in-cluster=%s, is-peer=%s, join=%s, expected=%s, term=%d, shutdown=%d",
                  this_node->details->uname, crm_str(in_cluster), crm_str(is_peer),
                  crm_str(join), crm_str(exp_state), do_terminate, this_node->details->shutdown);
@@ -1922,14 +1928,14 @@ process_rsc_state(resource_t * rsc, node
                  * another node without requiring the baremetal remote nodes to be fenced
                  * as well. */
                 node->details->unseen = TRUE;
-                reason = crm_strdup_printf("because %s is active there. Fencing will be revoked if remote-node connection can be re-established on another cluster-node.", rsc->id);
+                reason = crm_strdup_printf("%s is active there. Fencing will be revoked if remote-node connection can be re-established on another cluster-node.", rsc->id);
             }
             should_fence = TRUE;
         }
 
         if (should_fence) {
             if (reason == NULL) {
-               reason = crm_strdup_printf("because %s is thought to be active there", rsc->id);
+               reason = crm_strdup_printf("%s is thought to be active there", rsc->id);
             }
             pe_fence_node(data_set, node, reason);
         }
@@ -1952,7 +1958,7 @@ process_rsc_state(resource_t * rsc, node
             /* treat it as if it is still running
              * but also mark the node as unclean
              */
-            pe_fence_node(data_set, node, "because of resource failure(s)");
+            pe_fence_node(data_set, node, "resource failure(s)");
             break;
 
         case action_fail_standby:
@@ -2008,7 +2014,7 @@ process_rsc_state(resource_t * rsc, node
 
                     /* connection resource to baremetal resource failed in a way that
                      * should result in fencing the remote-node. */
-                    pe_fence_node(data_set, tmpnode, "because of connection failure(s)");
+                    pe_fence_node(data_set, tmpnode, "of connection failure(s)");
                 }
             }
 
Index: pacemaker/lib/pengine/utils.c
===================================================================
--- pacemaker.orig/lib/pengine/utils.c
+++ pacemaker/lib/pengine/utils.c
@@ -516,7 +516,7 @@ custom_action(resource_t * rsc, char *ke
             if (is_set(action->rsc->flags, pe_rsc_managed)
                 && save_action && a_task == stop_rsc
                 && action->node->details->unclean == FALSE) {
-                pe_fence_node(data_set, action->node, "because of unrunnable resource actions");
+                pe_fence_node(data_set, action->node, "resource actions are unrunnable");
             }
 
         } else if (action->node->details->pending) {
Index: pacemaker/pengine/allocate.c
===================================================================
--- pacemaker.orig/pengine/allocate.c
+++ pacemaker/pengine/allocate.c
@@ -453,7 +453,7 @@ check_actions_for(xmlNode * rsc_entry, r
             set_bit(action_clear->flags, pe_action_runnable);
 
             crm_notice("Clearing failure of %s on %s "
-                       "because action definition changed " CRM_XS " %s",
+                       "action definition changed " CRM_XS " %s",
                        rsc->id, node->details->uname, action_clear->uuid);
         }
     }
@@ -1779,7 +1779,7 @@ apply_container_ordering(action_t *actio
     CRM_ASSERT(container);
 
     if(is_set(container->flags, pe_rsc_failed)) {
-        pe_fence_node(data_set, action->node, " because the container failed");
+        pe_fence_node(data_set, action->node, "container failed");
     }
 
     crm_trace("%s %s %s %s %d", action->uuid, action->task, remote_rsc->id, container->id, is_set(container->flags, pe_rsc_failed));
@@ -1948,7 +1948,7 @@ apply_remote_ordering(action_t *action,
                      * way to stop it, it is necessary to fence the
                      * node.
                      */
-                    pe_fence_node(data_set, action->node, "because resources are active and the connection is unrecoverable");
+                    pe_fence_node(data_set, action->node, "resources are active and the connection is unrecoverable");
                 }
 
                 custom_action_order(action->rsc, NULL, action,
@@ -1990,7 +1990,7 @@ apply_remote_ordering(action_t *action,
                      * Since we have no way to find out, it is
                      * necessary to fence the node.
                      */
-                    pe_fence_node(data_set, action->node, "because resources are in an unknown state and the connection is unrecoverable");
+                    pe_fence_node(data_set, action->node, "resources are in an unknown state and the connection is unrecoverable");
                 }
 
                 if(cluster_node && state == remote_state_stopped) {
@@ -2250,6 +2250,7 @@ stage7(pe_working_set_t * data_set)
 
     crm_trace("Processing reloads");
 
+    LogNodeActions(data_set, FALSE);
     for (gIter = data_set->resources; gIter != NULL; gIter = gIter->next) {
         resource_t *rsc = (resource_t *) gIter->data;
 
@@ -3035,6 +3036,44 @@ stage8(pe_working_set_t * data_set)
 }
 
 void
+LogNodeActions(pe_working_set_t * data_set, gboolean terminal)
+{
+    GListPtr gIter = NULL;
+
+    for (gIter = data_set->actions; gIter != NULL; gIter = gIter->next) {
+        char *node_name = NULL;
+        const char *task = NULL;
+        action_t *action = (action_t *) gIter->data;
+
+        if (action->rsc != NULL) {
+            continue;
+        }
+
+        if (is_container_remote_node(action->node)) {
+            node_name = crm_strdup_printf("%s (resource: %s)", action->node->details->uname, action->node->details->remote_rsc->container->id);
+        } else if(action->node) {
+            node_name = crm_strdup_printf("%s", action->node->details->uname);
+        }
+
+        if (safe_str_eq(action->task, CRM_OP_SHUTDOWN)) {
+            task = "Shutdown";
+        } else if (safe_str_eq(action->task, CRM_OP_FENCE)) {
+            task = "Fence";
+        }
+
+        if(task == NULL) {
+            /* Nothing to report */
+        } else if(terminal) {
+            printf(" * %s %s\n", task, node_name);
+        } else {
+            crm_notice(" * %s %s\n", task, node_name);
+        }
+
+        free(node_name);
+    }
+}
+
+void
 cleanup_alloc_calculations(pe_working_set_t * data_set)
 {
     if (data_set == NULL) {
Index: pacemaker/pengine/allocate.h
===================================================================
--- pacemaker.orig/pengine/allocate.h
+++ pacemaker/pengine/allocate.h
@@ -141,7 +141,8 @@ extern gboolean unpack_location(xmlNode
 
 extern gboolean unpack_rsc_ticket(xmlNode * xml_obj, pe_working_set_t * data_set);
 
-extern void LogActions(resource_t * rsc, pe_working_set_t * data_set, gboolean terminal);
+void LogNodeActions(pe_working_set_t * data_set, gboolean terminal);
+void LogActions(resource_t * rsc, pe_working_set_t * data_set, gboolean terminal);
 
 extern void cleanup_alloc_calculations(pe_working_set_t * data_set);
 
Index: pacemaker/pengine/native.c
===================================================================
--- pacemaker.orig/pengine/native.c
+++ pacemaker/pengine/native.c
@@ -1796,7 +1796,7 @@ rsc_ticket_constraint(resource_t * rsc_l
                 for (gIter = rsc_lh->running_on; gIter != NULL; gIter = gIter->next) {
                     node_t *node = (node_t *) gIter->data;
 
-                    pe_fence_node(data_set, node, "because deadman ticket was lost");
+                    pe_fence_node(data_set, node, "deadman ticket was lost");
                 }
                 break;
 
@@ -2755,7 +2755,7 @@ native_create_probe(resource_t * rsc, no
 
     if (force == FALSE && running != NULL) {
         /* we already know the status of the resource on this node */
-        pe_rsc_trace(rsc, "Skipping active: %s on %s", rsc->id, node->details->uname);
+        pe_rsc_trace(rsc, "Skipping known: %s on %s", rsc->id, node->details->uname);
         return FALSE;
     }
 
Index: pacemaker/pengine/test10/594.summary
===================================================================
--- pacemaker.orig/pengine/test10/594.summary
+++ pacemaker/pengine/test10/594.summary
@@ -13,6 +13,8 @@ Online: [ hadev1 hadev2 ]
      child_DoFencing:2	(stonith:ssh):	Started hadev1
 
 Transition Summary:
+ * Fence hadev3
+ * Shutdown hadev2
  * Move    DcIPaddr	(Started hadev2 -> hadev1)
  * Move    rsc_hadev2	(Started hadev2 -> hadev1)
  * Stop    child_DoFencing:0	(hadev2)
Index: pacemaker/pengine/test10/662.summary
===================================================================
--- pacemaker.orig/pengine/test10/662.summary
+++ pacemaker/pengine/test10/662.summary
@@ -14,6 +14,7 @@ Online: [ c001n02 c001n03 c001n04 c001n0
      child_DoFencing:3	(stonith:ssh):	Started c001n09
 
 Transition Summary:
+ * Shutdown c001n02
  * Move    rsc_c001n02	(Started c001n02 -> c001n03)
  * Stop    child_DoFencing:0	(c001n02)
 
Index: pacemaker/pengine/test10/797.summary
===================================================================
--- pacemaker.orig/pengine/test10/797.summary
+++ pacemaker/pengine/test10/797.summary
@@ -15,6 +15,7 @@ Online: [ c001n01 c001n02 c001n03 ]
      child_DoFencing:3	(stonith:ssh):	Stopped 
 
 Transition Summary:
+ * Shutdown c001n02
  * Stop    DcIPaddr	(Started c001n03)
  * Stop    rsc_c001n08	(Started c001n02)
  * Stop    rsc_c001n02	(Started c001n02)
Index: pacemaker/pengine/test10/829.summary
===================================================================
--- pacemaker.orig/pengine/test10/829.summary
+++ pacemaker/pengine/test10/829.summary
@@ -15,6 +15,7 @@ Online: [ c001n01 c001n03 c001n08 ]
      child_DoFencing:3	(stonith:ssh):	Started c001n08
 
 Transition Summary:
+ * Fence c001n02
  * Move    rsc_c001n02	(Started c001n02 -> c001n01)
  * Stop    child_DoFencing:0	(c001n02)
 
Index: pacemaker/pengine/test10/bug-1572-1.summary
===================================================================
--- pacemaker.orig/pengine/test10/bug-1572-1.summary
+++ pacemaker/pengine/test10/bug-1572-1.summary
@@ -11,6 +11,7 @@ Online: [ arc-dknightlx arc-tkincaidlx.w
      IPaddr_147_81_84_133	(ocf::heartbeat:IPaddr):	Started arc-tkincaidlx.wsicorp.com
 
 Transition Summary:
+ * Shutdown arc-dknightlx
  * Stop    rsc_drbd_7788:0	(arc-dknightlx)
  * Restart rsc_drbd_7788:1	(Master arc-tkincaidlx.wsicorp.com)
  * Restart fs_mirror	(Started arc-tkincaidlx.wsicorp.com)
Index: pacemaker/pengine/test10/bug-1572-2.summary
===================================================================
--- pacemaker.orig/pengine/test10/bug-1572-2.summary
+++ pacemaker/pengine/test10/bug-1572-2.summary
@@ -11,6 +11,7 @@ Online: [ arc-dknightlx arc-tkincaidlx.w
      IPaddr_147_81_84_133	(ocf::heartbeat:IPaddr):	Started arc-tkincaidlx.wsicorp.com
 
 Transition Summary:
+ * Shutdown arc-dknightlx
  * Stop    rsc_drbd_7788:0	(arc-dknightlx)
  * Demote  rsc_drbd_7788:1	(Master -> Slave arc-tkincaidlx.wsicorp.com)
  * Stop    fs_mirror	(arc-tkincaidlx.wsicorp.com)
Index: pacemaker/pengine/test10/bug-1573.summary
===================================================================
--- pacemaker.orig/pengine/test10/bug-1573.summary
+++ pacemaker/pengine/test10/bug-1573.summary
@@ -11,6 +11,7 @@ OFFLINE: [ xen-c ]
      apache_6	(ocf::heartbeat:apache):	Stopped 
 
 Transition Summary:
+ * Shutdown xen-b
  * Stop    IPaddr_192_168_1_102	(xen-b)
 
 Executing cluster transition:
Index: pacemaker/pengine/test10/bug-1820-1.summary
===================================================================
--- pacemaker.orig/pengine/test10/bug-1820-1.summary
+++ pacemaker/pengine/test10/bug-1820-1.summary
@@ -8,6 +8,7 @@ Online: [ star world ]
      test2	(ocf::heartbeat:Xen):	Started star
 
 Transition Summary:
+ * Shutdown star
  * Start   p1	(world)
  * Migrate test1	(Started star -> world)
  * Migrate test2	(Started star -> world)
Index: pacemaker/pengine/test10/bug-1820.summary
===================================================================
--- pacemaker.orig/pengine/test10/bug-1820.summary
+++ pacemaker/pengine/test10/bug-1820.summary
@@ -7,6 +7,7 @@ Online: [ star world ]
      test2	(ocf::heartbeat:Xen):	Started star
 
 Transition Summary:
+ * Shutdown star
  * Migrate test1	(Started star -> world)
  * Migrate test2	(Started star -> world)
 
Index: pacemaker/pengine/test10/bug-1822.summary
===================================================================
--- pacemaker.orig/pengine/test10/bug-1822.summary
+++ pacemaker/pengine/test10/bug-1822.summary
@@ -11,6 +11,7 @@ Online: [ process1a process2b ]
          master_slave_procdctl:1	(ocf::heartbeat:procdctl):	Master process1a
 
 Transition Summary:
+ * Shutdown process1a
  * Demote  master_slave_Stateful:1	(Master -> Stopped process1a)
  * Demote  master_slave_procdctl:1	(Master -> Stopped process1a)
 
Index: pacemaker/pengine/test10/bug-5028-bottom.summary
===================================================================
--- pacemaker.orig/pengine/test10/bug-5028-bottom.summary
+++ pacemaker/pengine/test10/bug-5028-bottom.summary
@@ -7,6 +7,7 @@ Online: [ bl460g6a bl460g6b ]
      dummy02	(ocf::heartbeat:Dummy-stop-NG):	Started bl460g6a
 
 Transition Summary:
+ * Shutdown bl460g6a
  * Stop    dummy02	(bl460g6a)
 
 Executing cluster transition:
Index: pacemaker/pengine/test10/bug-5028-detach.summary
===================================================================
--- pacemaker.orig/pengine/test10/bug-5028-detach.summary
+++ pacemaker/pengine/test10/bug-5028-detach.summary
@@ -10,6 +10,7 @@ Online: [ bl460g6a bl460g6b ]
      dummy02	(ocf::heartbeat:Dummy-stop-NG):	FAILED bl460g6a ( blocked ) 
 
 Transition Summary:
+ * Shutdown bl460g6a
 
 Executing cluster transition:
  * Cluster action:  do_shutdown on bl460g6a
Index: pacemaker/pengine/test10/bug-5028.summary
===================================================================
--- pacemaker.orig/pengine/test10/bug-5028.summary
+++ pacemaker/pengine/test10/bug-5028.summary
@@ -7,6 +7,7 @@ Online: [ bl460g6a bl460g6b ]
      dummy02	(ocf::heartbeat:Dummy-stop-NG):	FAILED bl460g6a ( blocked ) 
 
 Transition Summary:
+ * Shutdown bl460g6a
  * Stop    dummy01	(Started bl460g6a - blocked)
 
 Executing cluster transition:
Index: pacemaker/pengine/test10/bug-5186-partial-migrate.summary
===================================================================
--- pacemaker.orig/pengine/test10/bug-5186-partial-migrate.summary
+++ pacemaker/pengine/test10/bug-5186-partial-migrate.summary
@@ -25,6 +25,7 @@ Online: [ bl460g1n6 bl460g1n8 ]
      Started: [ bl460g1n6 bl460g1n8 ]
 
 Transition Summary:
+ * Fence bl460g1n7
  * Move    prmDummy	(Started bl460g1n7 -> bl460g1n6)
  * Move    prmVM2	(Started bl460g1n7 -> bl460g1n8)
  * Move    prmStonith8-1	(Started bl460g1n7 -> bl460g1n6)
Index: pacemaker/pengine/test10/bug-cl-5247.summary
===================================================================
--- pacemaker.orig/pengine/test10/bug-cl-5247.summary
+++ pacemaker/pengine/test10/bug-cl-5247.summary
@@ -18,6 +18,7 @@ Containers: [ pgsr01:prmDB1 ]
      Stopped: [ bl460g8n3 bl460g8n4 ]
 
 Transition Summary:
+ * Fence pgsr02 (resource: prmDB2)
  * Stop    prmDB2	(bl460g8n4)
  * Restart prmStonith1-2	(Started bl460g8n4)
  * Restart prmStonith2-2	(Started bl460g8n3)
Index: pacemaker/pengine/test10/bug-lf-2508.summary
===================================================================
--- pacemaker.orig/pengine/test10/bug-lf-2508.summary
+++ pacemaker/pengine/test10/bug-lf-2508.summary
@@ -35,6 +35,7 @@ Online: [ srv01 srv03 srv04 ]
      Stopped: [ srv04 ]
 
 Transition Summary:
+ * Fence srv02
  * Start   Dummy01	(srv01)
  * Move    Dummy02	(Started srv02 -> srv04)
  * Stop    prmStonith1-1:1	(srv02)
Index: pacemaker/pengine/test10/bug-lf-2551.summary
===================================================================
--- pacemaker.orig/pengine/test10/bug-lf-2551.summary
+++ pacemaker/pengine/test10/bug-lf-2551.summary
@@ -81,6 +81,7 @@ Online: [ hex-0 hex-7 hex-8 ]
  vm-64	(ocf::heartbeat:Xen):	Stopped 
 
 Transition Summary:
+ * Fence hex-9
  * Move    fencing-sbd	(Started hex-9 -> hex-0)
  * Move    dummy1	(Started hex-9 -> hex-0)
  * Stop    dlm:3	(hex-9)
Index: pacemaker/pengine/test10/bug-lf-2606.summary
===================================================================
--- pacemaker.orig/pengine/test10/bug-lf-2606.summary
+++ pacemaker/pengine/test10/bug-lf-2606.summary
@@ -12,6 +12,7 @@ Online: [ node1 ]
      Slaves: [ node1 ]
 
 Transition Summary:
+ * Fence node2
  * Stop    rsc1	(node2)
  * Move    rsc2	(Started node2 -> node1)
  * Demote  rsc3:1	(Master -> Stopped node2)
Index: pacemaker/pengine/test10/bug-rh-1097457.summary
===================================================================
--- pacemaker.orig/pengine/test10/bug-rh-1097457.summary
+++ pacemaker/pengine/test10/bug-rh-1097457.summary
@@ -32,6 +32,7 @@ Containers: [ lamaVM1:VM1 lamaVM2:VM2 la
      Started: [ lamaVM1 lamaVM2 lamaVM3 ]
 
 Transition Summary:
+ * Fence lamaVM2 (resource: VM2)
  * Recover VM2	(Started lama3)
  * Recover FSlun3	(Started lamaVM2 -> lama2)
  * Restart FAKE4	(Started lamaVM2)
Index: pacemaker/pengine/test10/colocate-primitive-with-clone.summary
===================================================================
--- pacemaker.orig/pengine/test10/colocate-primitive-with-clone.summary
+++ pacemaker/pengine/test10/colocate-primitive-with-clone.summary
@@ -53,6 +53,7 @@ Online: [ srv01 srv02 srv03 srv04 ]
      Stopped: [ srv01 ]
 
 Transition Summary:
+ * Shutdown srv01
  * Start   UmVIPcheck	(srv04)
  * Start   UmIPaddr	(srv04)
  * Start   UmDummy01	(srv04)
Index: pacemaker/pengine/test10/concurrent-fencing.summary
===================================================================
--- pacemaker.orig/pengine/test10/concurrent-fencing.summary
+++ pacemaker/pengine/test10/concurrent-fencing.summary
@@ -8,6 +8,9 @@ Node node3 (uuid3): UNCLEAN (offline)
  lsb_dummy	(lsb:/usr/lib/heartbeat/cts/LSBDummy):	Stopped
 
 Transition Summary:
+ * Fence node3
+ * Fence node2
+ * Fence node1
 
 Executing cluster transition:
  * Fencing node3 (reboot)
Index: pacemaker/pengine/test10/guest-node-host-dies.summary
===================================================================
--- pacemaker.orig/pengine/test10/guest-node-host-dies.summary
+++ pacemaker/pengine/test10/guest-node-host-dies.summary
@@ -11,6 +11,9 @@ Online: [ rhel7-2 rhel7-3 rhel7-4 rhel7-
      Stopped: [ rhel7-1 rhel7-2 rhel7-3 rhel7-4 rhel7-5 ]
 
 Transition Summary:
+ * Fence rhel7-1
+ * Fence lxc2 (resource: container2)
+ * Fence lxc1 (resource: container1)
  * Restart Fencing	(Started rhel7-4)
  * Move    rsc_rhel7-1	(Started rhel7-1 -> rhel7-5)
  * Recover container1	(Started rhel7-1 -> rhel7-2)
Index: pacemaker/pengine/test10/inc12.summary
===================================================================
--- pacemaker.orig/pengine/test10/inc12.summary
+++ pacemaker/pengine/test10/inc12.summary
@@ -32,6 +32,12 @@ Online: [ c001n02 c001n03 c001n04 c001n0
      ocf_msdummy:11	(ocf::heartbeat:Stateful):	Slave c001n02 
 
 Transition Summary:
+ * Shutdown c001n07
+ * Shutdown c001n06
+ * Shutdown c001n05
+ * Shutdown c001n04
+ * Shutdown c001n03
+ * Shutdown c001n02
  * Stop    ocf_192.168.100.181	(c001n02)
  * Stop    heartbeat_192.168.100.182	(c001n02)
  * Stop    ocf_192.168.100.183	(c001n02)
Index: pacemaker/pengine/test10/interleave-pseudo-stop.summary
===================================================================
--- pacemaker.orig/pengine/test10/interleave-pseudo-stop.summary
+++ pacemaker/pengine/test10/interleave-pseudo-stop.summary
@@ -17,6 +17,7 @@ Online: [ node2 ]
      Started: [ node2 ]
 
 Transition Summary:
+ * Fence node1
  * Stop    stonithclone:1	(node1)
  * Stop    evmsclone:1	(node1)
  * Stop    imagestoreclone:1	(node1)
Index: pacemaker/pengine/test10/master-7.summary
===================================================================
--- pacemaker.orig/pengine/test10/master-7.summary
+++ pacemaker/pengine/test10/master-7.summary
@@ -29,6 +29,7 @@ Online: [ c001n02 c001n03 c001n08 ]
      ocf_msdummy:7	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n08 
 
 Transition Summary:
+ * Fence c001n01
  * Move    DcIPaddr	(Started c001n01 -> c001n03)
  * Move    ocf_192.168.100.181	(Started c001n03 -> c001n02)
  * Move    heartbeat_192.168.100.182	(Started c001n03 -> c001n02)
Index: pacemaker/pengine/test10/master-8.summary
===================================================================
--- pacemaker.orig/pengine/test10/master-8.summary
+++ pacemaker/pengine/test10/master-8.summary
@@ -29,6 +29,7 @@ Online: [ c001n02 c001n03 c001n08 ]
      ocf_msdummy:7	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n08 
 
 Transition Summary:
+ * Fence c001n01
  * Move    DcIPaddr	(Started c001n01 -> c001n03)
  * Move    ocf_192.168.100.181	(Started c001n03 -> c001n02)
  * Move    heartbeat_192.168.100.182	(Started c001n03 -> c001n02)
Index: pacemaker/pengine/test10/master-9.summary
===================================================================
--- pacemaker.orig/pengine/test10/master-9.summary
+++ pacemaker/pengine/test10/master-9.summary
@@ -30,6 +30,7 @@ Online: [ ibm1 va1 ]
      ocf_msdummy:7	(ocf::heartbeat:/usr/lib64/heartbeat/cts/OCFMSDummy):	Stopped 
 
 Transition Summary:
+ * Shutdown ibm1
  * Start   DcIPaddr	(va1 - blocked)
  * Start   ocf_127.0.0.11	(va1 - blocked)
  * Start   heartbeat_127.0.0.12	(va1 - blocked)
Index: pacemaker/pengine/test10/migrate-fencing.summary
===================================================================
--- pacemaker.orig/pengine/test10/migrate-fencing.summary
+++ pacemaker/pengine/test10/migrate-fencing.summary
@@ -22,6 +22,7 @@ Online: [ pcmk-1 pcmk-2 pcmk-3 ]
      Slaves: [ pcmk-1 pcmk-2 pcmk-3 ]
 
 Transition Summary:
+ * Fence pcmk-4
  * Stop    FencingChild:0	(pcmk-4)
  * Move    r192.168.101.181	(Started pcmk-4 -> pcmk-1)
  * Move    r192.168.101.182	(Started pcmk-4 -> pcmk-1)
Index: pacemaker/pengine/test10/migrate-shutdown.summary
===================================================================
--- pacemaker.orig/pengine/test10/migrate-shutdown.summary
+++ pacemaker/pengine/test10/migrate-shutdown.summary
@@ -22,6 +22,10 @@ Online: [ pcmk-1 pcmk-2 pcmk-3 pcmk-4 ]
      Stopped: [ pcmk-3 ]
 
 Transition Summary:
+ * Shutdown pcmk-4
+ * Shutdown pcmk-3
+ * Shutdown pcmk-2
+ * Shutdown pcmk-1
  * Stop    Fencing	(pcmk-1)
  * Stop    r192.168.122.105	(pcmk-2)
  * Stop    r192.168.122.106	(pcmk-2)
Index: pacemaker/pengine/test10/novell-239082.summary
===================================================================
--- pacemaker.orig/pengine/test10/novell-239082.summary
+++ pacemaker/pengine/test10/novell-239082.summary
@@ -8,6 +8,7 @@ Online: [ xen-1 xen-2 ]
      Slaves: [ xen-2 ]
 
 Transition Summary:
+ * Shutdown xen-1
  * Move    fs_1	(Started xen-1 -> xen-2)
  * Promote drbd0:0	(Slave -> Master xen-2)
  * Demote  drbd0:1	(Master -> Stopped xen-1)
Index: pacemaker/pengine/test10/novell-252693.summary
===================================================================
--- pacemaker.orig/pengine/test10/novell-252693.summary
+++ pacemaker/pengine/test10/novell-252693.summary
@@ -15,6 +15,7 @@ Online: [ node1 node2 ]
  sles10	(ocf::heartbeat:Xen):	Started node1
 
 Transition Summary:
+ * Shutdown node1
  * Stop    stonithclone:1	(node1)
  * Stop    evmsdclone:1	(node1)
  * Stop    evmsclone:1	(node1)
Index: pacemaker/pengine/test10/params-2.summary
===================================================================
--- pacemaker.orig/pengine/test10/params-2.summary
+++ pacemaker/pengine/test10/params-2.summary
@@ -7,6 +7,7 @@ Online: [ node1 node2 node3 ]
  rsc3	(lsb:apache):	Stopped 
 
 Transition Summary:
+ * Shutdown node1
  * Stop    rsc1	(node1)
  * Restart rsc2	(Started node2)
  * Start   rsc3	(node3)
Index: pacemaker/pengine/test10/per-op-failcount.summary
===================================================================
--- pacemaker.orig/pengine/test10/per-op-failcount.summary
+++ pacemaker/pengine/test10/per-op-failcount.summary
@@ -9,6 +9,7 @@ Online: [ rh73-02-snmp ]
  prmStonith2-1	(stonith:external/ssh):	Started rh73-01-snmp
 
 Transition Summary:
+ * Fence rh73-01-snmp
  * Recover prmDummy	(Started rh73-01-snmp -> rh73-02-snmp)
  * Move    prmStonith2-1	(Started rh73-01-snmp -> rh73-02-snmp)
 
Index: pacemaker/pengine/test10/rec-node-11.summary
===================================================================
--- pacemaker.orig/pengine/test10/rec-node-11.summary
+++ pacemaker/pengine/test10/rec-node-11.summary
@@ -10,6 +10,7 @@ Online: [ node2 ]
  rsc3	(heartbeat:apache):	Started node2
 
 Transition Summary:
+ * Fence node1
  * Start   stonith-1	(node2)
  * Move    rsc1	(Started node1 -> node2)
  * Move    rsc2	(Started node1 -> node2)
Index: pacemaker/pengine/test10/rec-node-12.summary
===================================================================
--- pacemaker.orig/pengine/test10/rec-node-12.summary
+++ pacemaker/pengine/test10/rec-node-12.summary
@@ -15,6 +15,7 @@ Online: [ c001n01 c001n03 c001n08 ]
      child_DoFencing:3	(stonith:ssh):	Stopped 
 
 Transition Summary:
+ * Fence c001n02
  * Start   DcIPaddr	(c001n08)
  * Start   rsc_c001n08	(c001n08)
  * Start   rsc_c001n02	(c001n01)
Index: pacemaker/pengine/test10/rec-node-13.summary
===================================================================
--- pacemaker.orig/pengine/test10/rec-node-13.summary
+++ pacemaker/pengine/test10/rec-node-13.summary
@@ -34,6 +34,7 @@ OFFLINE: [ c001n03 c001n05 ]
      ocf_msdummy:11	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n07 
 
 Transition Summary:
+ * Fence c001n04
  * Stop    ocf_msdummy:6	(c001n04)
 
 Executing cluster transition:
Index: pacemaker/pengine/test10/rec-node-14.summary
===================================================================
--- pacemaker.orig/pengine/test10/rec-node-14.summary
+++ pacemaker/pengine/test10/rec-node-14.summary
@@ -8,6 +8,9 @@ Node node3 (uuid3): UNCLEAN (offline)
  lsb_dummy	(lsb:/usr/lib/heartbeat/cts/LSBDummy):	Stopped 
 
 Transition Summary:
+ * Fence node3
+ * Fence node2
+ * Fence node1
 
 Executing cluster transition:
  * Fencing node1 (reboot)
Index: pacemaker/pengine/test10/rec-node-15.summary
===================================================================
--- pacemaker.orig/pengine/test10/rec-node-15.summary
+++ pacemaker/pengine/test10/rec-node-15.summary
@@ -21,6 +21,7 @@ Online: [ sapcl01 ]
      oralsnr_25	(ocf::heartbeat:oralsnr):	Stopped 
 
 Transition Summary:
+ * Fence sapcl03
  * Start   stonith-1	(sapcl01)
  * Move    IPaddr_192_168_1_102	(Started sapcl02 -> sapcl01)
  * Move    LVM_12	(Started sapcl02 -> sapcl01)
Index: pacemaker/pengine/test10/rec-node-2.summary
===================================================================
--- pacemaker.orig/pengine/test10/rec-node-2.summary
+++ pacemaker/pengine/test10/rec-node-2.summary
@@ -14,6 +14,7 @@ Online: [ node2 ]
      rsc6	(heartbeat:apache):	Stopped 
 
 Transition Summary:
+ * Fence node1
  * Start   stonith-1	(node2)
  * Start   rsc1	(node2)
  * Start   rsc2	(node2)
Index: pacemaker/pengine/test10/rec-node-4.summary
===================================================================
--- pacemaker.orig/pengine/test10/rec-node-4.summary
+++ pacemaker/pengine/test10/rec-node-4.summary
@@ -8,6 +8,7 @@ Online: [ node2 ]
  rsc2	(heartbeat:apache):	Started node1 (UNCLEAN)
 
 Transition Summary:
+ * Fence node1
  * Start   stonith-1	(node2)
  * Move    rsc1	(Started node1 -> node2)
  * Move    rsc2	(Started node1 -> node2)
Index: pacemaker/pengine/test10/rec-node-6.summary
===================================================================
--- pacemaker.orig/pengine/test10/rec-node-6.summary
+++ pacemaker/pengine/test10/rec-node-6.summary
@@ -8,6 +8,7 @@ Online: [ node2 ]
  rsc2	(heartbeat:apache):	Started node1
 
 Transition Summary:
+ * Fence node1
  * Start   stonith-1	(node2)
  * Move    rsc1	(Started node1 -> node2)
  * Move    rsc2	(Started node1 -> node2)
Index: pacemaker/pengine/test10/rec-node-7.summary
===================================================================
--- pacemaker.orig/pengine/test10/rec-node-7.summary
+++ pacemaker/pengine/test10/rec-node-7.summary
@@ -8,6 +8,7 @@ Online: [ node2 ]
  rsc2	(heartbeat:apache):	Started node1 (UNCLEAN)
 
 Transition Summary:
+ * Fence node1
  * Start   stonith-1	(node2)
  * Move    rsc1	(Started node1 -> node2)
  * Move    rsc2	(Started node1 -> node2)
Index: pacemaker/pengine/test10/rec-rsc-5.summary
===================================================================
--- pacemaker.orig/pengine/test10/rec-rsc-5.summary
+++ pacemaker/pengine/test10/rec-rsc-5.summary
@@ -8,6 +8,7 @@ Online: [ node1 ]
  rsc2	(heartbeat:apache):	Started node2
 
 Transition Summary:
+ * Fence node2
  * Start   stonith-1	(node1)
  * Recover rsc1	(Started node2 -> node1)
  * Move    rsc2	(Started node2 -> node1)
Index: pacemaker/pengine/test10/remote-fence-before-reconnect.summary
===================================================================
--- pacemaker.orig/pengine/test10/remote-fence-before-reconnect.summary
+++ pacemaker/pengine/test10/remote-fence-before-reconnect.summary
@@ -12,6 +12,7 @@ Online: [ c7auto1 c7auto2 c7auto3 ]
  fake5	(ocf::heartbeat:Dummy):	Started c7auto3
 
 Transition Summary:
+ * Fence c7auto4
  * Stop    c7auto4	(c7auto1)
  * Move    fake2	(Started c7auto4 -> c7auto1)
 
Index: pacemaker/pengine/test10/remote-fence-unclean.summary
===================================================================
--- pacemaker.orig/pengine/test10/remote-fence-unclean.summary
+++ pacemaker/pengine/test10/remote-fence-unclean.summary
@@ -11,6 +11,7 @@ Online: [ 18builder 18node1 18node2 ]
  FAKE4	(ocf::heartbeat:Dummy):	Started 18node1 
 
 Transition Summary:
+ * Fence remote1
  * Recover remote1	(Started 18node1)
  * Move    FAKE2	(Started remote1 -> 18builder)
  * Move    FAKE3	(Started 18builder -> 18node1)
Index: pacemaker/pengine/test10/remote-fence-unclean2.summary
===================================================================
--- pacemaker.orig/pengine/test10/remote-fence-unclean2.summary
+++ pacemaker/pengine/test10/remote-fence-unclean2.summary
@@ -10,6 +10,7 @@ OFFLINE: [ rhel7-alt3 ]
  fake	(ocf::heartbeat:Dummy):	Started rhel7-alt4 (UNCLEAN)
 
 Transition Summary:
+ * Fence rhel7-alt4
  * Stop    fake	(rhel7-alt4)
 
 Executing cluster transition:
Index: pacemaker/pengine/test10/remote-partial-migrate2.summary
===================================================================
--- pacemaker.orig/pengine/test10/remote-partial-migrate2.summary
+++ pacemaker/pengine/test10/remote-partial-migrate2.summary
@@ -63,6 +63,7 @@ RemoteOFFLINE: [ pcmk_remote4 ]
  FAKE50	(ocf::heartbeat:Dummy):	Started pcmk_remote5 
 
 Transition Summary:
+ * Fence pcmk4
  * Migrate pcmk_remote2	(Started pcmk3 -> pcmk1)
  * Start   pcmk_remote4	(pcmk2)
  * Migrate pcmk_remote5	(Started pcmk1 -> pcmk2)
Index: pacemaker/pengine/test10/remote-recover-all.summary
===================================================================
--- pacemaker.orig/pengine/test10/remote-recover-all.summary
+++ pacemaker/pengine/test10/remote-recover-all.summary
@@ -38,6 +38,9 @@ RemoteOnline: [ galera-0 galera-1 galera
  stonith-fence_ipmilan-5254005bdbb5	(stonith:fence_ipmilan):	Started controller-1 (UNCLEAN)
 
 Transition Summary:
+ * Fence messaging-1
+ * Fence galera-2
+ * Fence controller-1
  * Stop    messaging-1	(controller-1)
  * Move    galera-0	(Started controller-1 -> controller-2)
  * Stop    galera-2	(controller-1)
Index: pacemaker/pengine/test10/remote-recover-connection.summary
===================================================================
--- pacemaker.orig/pengine/test10/remote-recover-connection.summary
+++ pacemaker/pengine/test10/remote-recover-connection.summary
@@ -38,6 +38,7 @@ RemoteOnline: [ galera-0 galera-1 galera
  stonith-fence_ipmilan-5254005bdbb5	(stonith:fence_ipmilan):	Started controller-1 (UNCLEAN)
 
 Transition Summary:
+ * Fence controller-1
  * Move    messaging-1	(Started controller-1 -> controller-2)
  * Move    galera-0	(Started controller-1 -> controller-2)
  * Move    galera-2	(Started controller-1 -> controller-2)
Index: pacemaker/pengine/test10/remote-recover-fail.summary
===================================================================
--- pacemaker.orig/pengine/test10/remote-recover-fail.summary
+++ pacemaker/pengine/test10/remote-recover-fail.summary
@@ -14,6 +14,7 @@ OFFLINE: [ rhel7-auto1 ]
  FAKE6	(ocf::heartbeat:Dummy):	Started rhel7-auto4 (UNCLEAN)
 
 Transition Summary:
+ * Fence rhel7-auto4
  * Recover rhel7-auto4	(Started rhel7-auto2)
  * Start   FAKE1	(rhel7-auto2)
  * Move    FAKE2	(Started rhel7-auto4 -> rhel7-auto3)
Index: pacemaker/pengine/test10/remote-recover-no-resources.summary
===================================================================
--- pacemaker.orig/pengine/test10/remote-recover-no-resources.summary
+++ pacemaker/pengine/test10/remote-recover-no-resources.summary
@@ -38,6 +38,8 @@ RemoteOnline: [ galera-0 galera-1 galera
  stonith-fence_ipmilan-5254005bdbb5	(stonith:fence_ipmilan):	Started controller-1 (UNCLEAN)
 
 Transition Summary:
+ * Fence messaging-1
+ * Fence controller-1
  * Stop    messaging-1	(controller-1)
  * Move    galera-0	(Started controller-1 -> controller-2)
  * Stop    galera-2	(controller-1)
Index: pacemaker/pengine/test10/remote-recover-unknown.summary
===================================================================
--- pacemaker.orig/pengine/test10/remote-recover-unknown.summary
+++ pacemaker/pengine/test10/remote-recover-unknown.summary
@@ -38,6 +38,9 @@ RemoteOnline: [ galera-0 galera-1 galera
  stonith-fence_ipmilan-5254005bdbb5	(stonith:fence_ipmilan):	Started controller-1 (UNCLEAN)
 
 Transition Summary:
+ * Fence messaging-1
+ * Fence galera-2
+ * Fence controller-1
  * Stop    messaging-1	(controller-1)
  * Move    galera-0	(Started controller-1 -> controller-2)
  * Stop    galera-2	(controller-1)
Index: pacemaker/pengine/test10/remote-recovery.summary
===================================================================
--- pacemaker.orig/pengine/test10/remote-recovery.summary
+++ pacemaker/pengine/test10/remote-recovery.summary
@@ -38,6 +38,7 @@ RemoteOnline: [ galera-0 galera-1 galera
  stonith-fence_ipmilan-5254005bdbb5	(stonith:fence_ipmilan):	Started controller-1 (UNCLEAN)
 
 Transition Summary:
+ * Fence controller-1
  * Move    messaging-1	(Started controller-1 -> controller-2)
  * Move    galera-0	(Started controller-1 -> controller-2)
  * Move    galera-2	(Started controller-1 -> controller-2)
Index: pacemaker/pengine/test10/remote-unclean2.summary
===================================================================
--- pacemaker.orig/pengine/test10/remote-unclean2.summary
+++ pacemaker/pengine/test10/remote-unclean2.summary
@@ -7,6 +7,7 @@ Online: [ rhel7-auto1 rhel7-auto2 rhel7-
  rhel7-auto4	(ocf::pacemaker:remote):	FAILED rhel7-auto1 
 
 Transition Summary:
+ * Fence rhel7-auto4
  * Recover rhel7-auto4	(Started rhel7-auto1)
 
 Executing cluster transition:
Index: pacemaker/pengine/test10/simple7.summary
===================================================================
--- pacemaker.orig/pengine/test10/simple7.summary
+++ pacemaker/pengine/test10/simple7.summary
@@ -5,6 +5,7 @@ Online: [ node1 ]
  rsc1	(heartbeat:apache):	Started node1
 
 Transition Summary:
+ * Shutdown node1
  * Stop    rsc1	(node1)
 
 Executing cluster transition:
Index: pacemaker/pengine/test10/start-then-stop-with-unfence.summary
===================================================================
--- pacemaker.orig/pengine/test10/start-then-stop-with-unfence.summary
+++ pacemaker/pengine/test10/start-then-stop-with-unfence.summary
@@ -11,6 +11,8 @@ Online: [ rhel7-node1.example.com rhel7-
      Stopped: [ rhel7-node1.example.com ]
 
 Transition Summary:
+ * Fence rhel7-node2.example.com
+ * Fence rhel7-node1.example.com
  * Start   mpath-node1	(rhel7-node1.example.com)
  * Move    ip1	(Started rhel7-node2.example.com -> rhel7-node1.example.com)
  * Start   jrummy:1	(rhel7-node1.example.com)
Index: pacemaker/pengine/test10/stonith-0.summary
===================================================================
--- pacemaker.orig/pengine/test10/stonith-0.summary
+++ pacemaker/pengine/test10/stonith-0.summary
@@ -37,6 +37,8 @@ Online: [ c001n02 c001n04 c001n06 c001n0
      ocf_msdummy:13	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n06 
 
 Transition Summary:
+ * Fence c001n05
+ * Fence c001n03
  * Move    ocf_192.168.100.181	(Started c001n03 -> c001n02)
  * Move    heartbeat_192.168.100.182	(Started c001n03 -> c001n02)
  * Recover ocf_192.168.100.183	(Started c001n03 -> c001n02)
Index: pacemaker/pengine/test10/stonith-1.summary
===================================================================
--- pacemaker.orig/pengine/test10/stonith-1.summary
+++ pacemaker/pengine/test10/stonith-1.summary
@@ -28,6 +28,7 @@ Online: [ sles-1 sles-2 sles-4 ]
      ocf_msdummy:7	(ocf::heartbeat:Stateful):	Stopped 
 
 Transition Summary:
+ * Fence sles-3
  * Start   r192.168.100.183	(sles-1)
  * Move    migrator	(Started sles-3 -> sles-4)
  * Move    rsc_sles-3	(Started sles-3 -> sles-4)
Index: pacemaker/pengine/test10/stonith-2.summary
===================================================================
--- pacemaker.orig/pengine/test10/stonith-2.summary
+++ pacemaker/pengine/test10/stonith-2.summary
@@ -33,6 +33,7 @@ Online: [ sles-1 sles-2 sles-3 sles-4 sl
      ocf_msdummy:11	(ocf::heartbeat:Stateful):	Slave sles-3 
 
 Transition Summary:
+ * Fence sles-5
  * Start   rsc_sles-5	(sles-6)
 
 Executing cluster transition:
Index: pacemaker/pengine/test10/stonith-3.summary
===================================================================
--- pacemaker.orig/pengine/test10/stonith-3.summary
+++ pacemaker/pengine/test10/stonith-3.summary
@@ -8,6 +8,7 @@ Online: [ rh5node2 ]
      Stopped: [ rh5node1 rh5node2 ]
 
 Transition Summary:
+ * Fence rh5node1
  * Start   prmIpPostgreSQLDB	(rh5node2)
  * Start   prmStonith:0	(rh5node2)
 
Index: pacemaker/pengine/test10/stonith-4.summary
===================================================================
--- pacemaker.orig/pengine/test10/stonith-4.summary
+++ pacemaker/pengine/test10/stonith-4.summary
@@ -14,6 +14,10 @@ OFFLINE: [ pcmk-4 pcmk-6 ]
  Fencing	(stonith:fence_xvm):	Stopped 
 
 Transition Summary:
+ * Fence pcmk-8
+ * Fence pcmk-7
+ * Fence pcmk-5
+ * Fence pcmk-10
  * Start   Fencing	(pcmk-1 - blocked)
 
 Executing cluster transition:
Index: pacemaker/pengine/test10/stop-failure-no-quorum.summary
===================================================================
--- pacemaker.orig/pengine/test10/stop-failure-no-quorum.summary
+++ pacemaker/pengine/test10/stop-failure-no-quorum.summary
@@ -15,6 +15,7 @@ Online: [ pcmk-1 ]
  Fencing	(stonith:fence_xvm):	Stopped 
 
 Transition Summary:
+ * Fence pcmk-2
  * Start   dlm:0	(pcmk-1 - blocked)
  * Stop    clvm:0	(pcmk-2)
  * Start   clvm:2	(pcmk-1 - blocked)
Index: pacemaker/pengine/test10/stop-failure-with-fencing.summary
===================================================================
--- pacemaker.orig/pengine/test10/stop-failure-with-fencing.summary
+++ pacemaker/pengine/test10/stop-failure-with-fencing.summary
@@ -14,6 +14,7 @@ Online: [ pcmk-1 ]
  Fencing	(stonith:fence_xvm):	Stopped 
 
 Transition Summary:
+ * Fence pcmk-2
  * Start   dlm:0	(pcmk-1 - blocked)
  * Stop    clvm:0	(pcmk-2)
  * Start   clvm:1	(pcmk-1 - blocked)
Index: pacemaker/pengine/test10/systemhealth1.summary
===================================================================
--- pacemaker.orig/pengine/test10/systemhealth1.summary
+++ pacemaker/pengine/test10/systemhealth1.summary
@@ -8,6 +8,8 @@ Node hs21d (737318c6-0f92-4592-9754-4596
  nfs_1	(ocf::heartbeat:Filesystem):	Stopped 
 
 Transition Summary:
+ * Fence hs21d
+ * Fence hs21c
 
 Executing cluster transition:
  * Fencing hs21d (reboot)
Index: pacemaker/pengine/test10/systemhealth2.summary
===================================================================
--- pacemaker.orig/pengine/test10/systemhealth2.summary
+++ pacemaker/pengine/test10/systemhealth2.summary
@@ -8,6 +8,7 @@ Online: [ hs21c ]
  nfs_1	(ocf::heartbeat:Filesystem):	Stopped 
 
 Transition Summary:
+ * Fence hs21d
  * Start   stonith-1	(hs21c)
  * Start   apache_1	(hs21c)
  * Start   nfs_1	(hs21c)
Index: pacemaker/pengine/test10/systemhealth3.summary
===================================================================
--- pacemaker.orig/pengine/test10/systemhealth3.summary
+++ pacemaker/pengine/test10/systemhealth3.summary
@@ -8,6 +8,7 @@ Online: [ hs21c ]
  nfs_1	(ocf::heartbeat:Filesystem):	Stopped 
 
 Transition Summary:
+ * Fence hs21d
  * Start   stonith-1	(hs21c)
  * Start   apache_1	(hs21c)
  * Start   nfs_1	(hs21c)
Index: pacemaker/pengine/test10/systemhealthm1.summary
===================================================================
--- pacemaker.orig/pengine/test10/systemhealthm1.summary
+++ pacemaker/pengine/test10/systemhealthm1.summary
@@ -8,6 +8,8 @@ Node hs21d (737318c6-0f92-4592-9754-4596
  nfs_1	(ocf::heartbeat:Filesystem):	Stopped 
 
 Transition Summary:
+ * Fence hs21d
+ * Fence hs21c
 
 Executing cluster transition:
  * Fencing hs21d (reboot)
Index: pacemaker/pengine/test10/systemhealthm2.summary
===================================================================
--- pacemaker.orig/pengine/test10/systemhealthm2.summary
+++ pacemaker/pengine/test10/systemhealthm2.summary
@@ -8,6 +8,7 @@ Online: [ hs21c ]
  nfs_1	(ocf::heartbeat:Filesystem):	Stopped 
 
 Transition Summary:
+ * Fence hs21d
  * Start   stonith-1	(hs21c)
  * Start   apache_1	(hs21c)
  * Start   nfs_1	(hs21c)
Index: pacemaker/pengine/test10/systemhealthm3.summary
===================================================================
--- pacemaker.orig/pengine/test10/systemhealthm3.summary
+++ pacemaker/pengine/test10/systemhealthm3.summary
@@ -8,6 +8,7 @@ Online: [ hs21c ]
  nfs_1	(ocf::heartbeat:Filesystem):	Stopped 
 
 Transition Summary:
+ * Fence hs21d
 
 Executing cluster transition:
  * Resource action: stonith-1       monitor on hs21c
Index: pacemaker/pengine/test10/systemhealthn1.summary
===================================================================
--- pacemaker.orig/pengine/test10/systemhealthn1.summary
+++ pacemaker/pengine/test10/systemhealthn1.summary
@@ -8,6 +8,8 @@ Node hs21d (737318c6-0f92-4592-9754-4596
  nfs_1	(ocf::heartbeat:Filesystem):	Stopped 
 
 Transition Summary:
+ * Fence hs21d
+ * Fence hs21c
 
 Executing cluster transition:
  * Fencing hs21d (reboot)
Index: pacemaker/pengine/test10/systemhealthn2.summary
===================================================================
--- pacemaker.orig/pengine/test10/systemhealthn2.summary
+++ pacemaker/pengine/test10/systemhealthn2.summary
@@ -8,6 +8,7 @@ Online: [ hs21c ]
  nfs_1	(ocf::heartbeat:Filesystem):	Stopped 
 
 Transition Summary:
+ * Fence hs21d
  * Start   stonith-1	(hs21c)
  * Start   apache_1	(hs21c)
  * Start   nfs_1	(hs21c)
Index: pacemaker/pengine/test10/systemhealthn3.summary
===================================================================
--- pacemaker.orig/pengine/test10/systemhealthn3.summary
+++ pacemaker/pengine/test10/systemhealthn3.summary
@@ -8,6 +8,7 @@ Online: [ hs21c ]
  nfs_1	(ocf::heartbeat:Filesystem):	Stopped 
 
 Transition Summary:
+ * Fence hs21d
  * Start   stonith-1	(hs21c)
  * Start   apache_1	(hs21c)
  * Start   nfs_1	(hs21c)
Index: pacemaker/pengine/test10/systemhealtho1.summary
===================================================================
--- pacemaker.orig/pengine/test10/systemhealtho1.summary
+++ pacemaker/pengine/test10/systemhealtho1.summary
@@ -8,6 +8,8 @@ Node hs21d (737318c6-0f92-4592-9754-4596
  nfs_1	(ocf::heartbeat:Filesystem):	Stopped 
 
 Transition Summary:
+ * Fence hs21d
+ * Fence hs21c
 
 Executing cluster transition:
  * Fencing hs21d (reboot)
Index: pacemaker/pengine/test10/systemhealtho2.summary
===================================================================
--- pacemaker.orig/pengine/test10/systemhealtho2.summary
+++ pacemaker/pengine/test10/systemhealtho2.summary
@@ -8,6 +8,7 @@ Online: [ hs21c ]
  nfs_1	(ocf::heartbeat:Filesystem):	Stopped 
 
 Transition Summary:
+ * Fence hs21d
 
 Executing cluster transition:
  * Resource action: stonith-1       monitor on hs21c
Index: pacemaker/pengine/test10/systemhealtho3.summary
===================================================================
--- pacemaker.orig/pengine/test10/systemhealtho3.summary
+++ pacemaker/pengine/test10/systemhealtho3.summary
@@ -8,6 +8,7 @@ Online: [ hs21c ]
  nfs_1	(ocf::heartbeat:Filesystem):	Stopped 
 
 Transition Summary:
+ * Fence hs21d
 
 Executing cluster transition:
  * Resource action: stonith-1       monitor on hs21c
Index: pacemaker/pengine/test10/systemhealthp1.summary
===================================================================
--- pacemaker.orig/pengine/test10/systemhealthp1.summary
+++ pacemaker/pengine/test10/systemhealthp1.summary
@@ -8,6 +8,8 @@ Node hs21d (737318c6-0f92-4592-9754-4596
  nfs_1	(ocf::heartbeat:Filesystem):	Stopped 
 
 Transition Summary:
+ * Fence hs21d
+ * Fence hs21c
 
 Executing cluster transition:
  * Fencing hs21d (reboot)
Index: pacemaker/pengine/test10/systemhealthp2.summary
===================================================================
--- pacemaker.orig/pengine/test10/systemhealthp2.summary
+++ pacemaker/pengine/test10/systemhealthp2.summary
@@ -8,6 +8,7 @@ Online: [ hs21c ]
  nfs_1	(ocf::heartbeat:Filesystem):	Stopped 
 
 Transition Summary:
+ * Fence hs21d
  * Start   apache_1	(hs21c)
  * Start   nfs_1	(hs21c)
 
Index: pacemaker/pengine/test10/systemhealthp3.summary
===================================================================
--- pacemaker.orig/pengine/test10/systemhealthp3.summary
+++ pacemaker/pengine/test10/systemhealthp3.summary
@@ -8,6 +8,7 @@ Online: [ hs21c ]
  nfs_1	(ocf::heartbeat:Filesystem):	Stopped 
 
 Transition Summary:
+ * Fence hs21d
 
 Executing cluster transition:
  * Resource action: stonith-1       monitor on hs21c
Index: pacemaker/pengine/test10/ticket-clone-21.summary
===================================================================
--- pacemaker.orig/pengine/test10/ticket-clone-21.summary
+++ pacemaker/pengine/test10/ticket-clone-21.summary
@@ -7,6 +7,8 @@ Online: [ node1 node2 ]
      Started: [ node1 node2 ]
 
 Transition Summary:
+ * Fence node2
+ * Fence node1
  * Stop    rsc_stonith	(node1)
  * Stop    rsc1:0	(node1)
  * Stop    rsc1:1	(node2)
Index: pacemaker/pengine/test10/ticket-clone-9.summary
===================================================================
--- pacemaker.orig/pengine/test10/ticket-clone-9.summary
+++ pacemaker/pengine/test10/ticket-clone-9.summary
@@ -7,6 +7,8 @@ Online: [ node1 node2 ]
      Started: [ node1 node2 ]
 
 Transition Summary:
+ * Fence node2
+ * Fence node1
  * Stop    rsc_stonith	(node1)
  * Stop    rsc1:0	(node1)
  * Stop    rsc1:1	(node2)
Index: pacemaker/pengine/test10/ticket-group-21.summary
===================================================================
--- pacemaker.orig/pengine/test10/ticket-group-21.summary
+++ pacemaker/pengine/test10/ticket-group-21.summary
@@ -8,6 +8,7 @@ Online: [ node1 node2 ]
      rsc2	(ocf::pacemaker:Dummy):	Started node2
 
 Transition Summary:
+ * Fence node2
  * Stop    rsc1	(node2)
  * Stop    rsc2	(node2)
 
Index: pacemaker/pengine/test10/ticket-group-9.summary
===================================================================
--- pacemaker.orig/pengine/test10/ticket-group-9.summary
+++ pacemaker/pengine/test10/ticket-group-9.summary
@@ -8,6 +8,7 @@ Online: [ node1 node2 ]
      rsc2	(ocf::pacemaker:Dummy):	Started node2
 
 Transition Summary:
+ * Fence node2
  * Stop    rsc1	(node2)
  * Stop    rsc2	(node2)
 
Index: pacemaker/pengine/test10/ticket-master-21.summary
===================================================================
--- pacemaker.orig/pengine/test10/ticket-master-21.summary
+++ pacemaker/pengine/test10/ticket-master-21.summary
@@ -8,6 +8,7 @@ Online: [ node1 node2 ]
      Slaves: [ node2 ]
 
 Transition Summary:
+ * Fence node1
  * Move    rsc_stonith	(Started node1 -> node2)
  * Demote  rsc1:0	(Master -> Stopped node1)
 
Index: pacemaker/pengine/test10/ticket-master-9.summary
===================================================================
--- pacemaker.orig/pengine/test10/ticket-master-9.summary
+++ pacemaker/pengine/test10/ticket-master-9.summary
@@ -8,6 +8,7 @@ Online: [ node1 node2 ]
      Slaves: [ node2 ]
 
 Transition Summary:
+ * Fence node1
  * Move    rsc_stonith	(Started node1 -> node2)
  * Demote  rsc1:0	(Master -> Stopped node1)
 
Index: pacemaker/pengine/test10/ticket-primitive-21.summary
===================================================================
--- pacemaker.orig/pengine/test10/ticket-primitive-21.summary
+++ pacemaker/pengine/test10/ticket-primitive-21.summary
@@ -6,6 +6,7 @@ Online: [ node1 node2 ]
  rsc1	(ocf::pacemaker:Dummy):	Started node2
 
 Transition Summary:
+ * Fence node2
  * Stop    rsc1	(node2)
 
 Executing cluster transition:
Index: pacemaker/pengine/test10/ticket-primitive-9.summary
===================================================================
--- pacemaker.orig/pengine/test10/ticket-primitive-9.summary
+++ pacemaker/pengine/test10/ticket-primitive-9.summary
@@ -6,6 +6,7 @@ Online: [ node1 node2 ]
  rsc1	(ocf::pacemaker:Dummy):	Started node2
 
 Transition Summary:
+ * Fence node2
  * Stop    rsc1	(node2)
 
 Executing cluster transition:
Index: pacemaker/pengine/test10/unfence-definition.summary
===================================================================
--- pacemaker.orig/pengine/test10/unfence-definition.summary
+++ pacemaker/pengine/test10/unfence-definition.summary
@@ -12,6 +12,11 @@ Online: [ virt-1 virt-2 virt-3 ]
      Stopped: [ virt-2 virt-3 virt-4 ]
 
 Transition Summary:
+ * Fence virt-4
+ * Fence virt-4
+ * Fence virt-3
+ * Fence virt-2
+ * Fence virt-1
  * Restart fencing	(Started virt-1)
  * Restart dlm:0	(Started virt-1)
  * Start   dlm:2	(virt-3)
Index: pacemaker/pengine/test10/unfence-parameters.summary
===================================================================
--- pacemaker.orig/pengine/test10/unfence-parameters.summary
+++ pacemaker/pengine/test10/unfence-parameters.summary
@@ -12,6 +12,11 @@ Online: [ virt-1 virt-2 virt-3 ]
      Stopped: [ virt-2 virt-3 virt-4 ]
 
 Transition Summary:
+ * Fence virt-4
+ * Fence virt-4
+ * Fence virt-3
+ * Fence virt-2
+ * Fence virt-1
  * Restart fencing	(Started virt-1)
  * Restart dlm:0	(Started virt-1)
  * Restart dlm:1	(Started virt-2)
Index: pacemaker/pengine/test10/unfence-startup.summary
===================================================================
--- pacemaker.orig/pengine/test10/unfence-startup.summary
+++ pacemaker/pengine/test10/unfence-startup.summary
@@ -12,6 +12,11 @@ Online: [ virt-1 virt-2 virt-3 ]
      Stopped: [ virt-2 virt-3 virt-4 ]
 
 Transition Summary:
+ * Fence virt-4
+ * Fence virt-4
+ * Fence virt-3
+ * Fence virt-2
+ * Fence virt-1
  * Start   dlm:2	(virt-3)
  * Start   clvmd:1	(virt-2)
  * Start   clvmd:2	(virt-3)
Index: pacemaker/pengine/test10/unmanaged-master.summary
===================================================================
--- pacemaker.orig/pengine/test10/unmanaged-master.summary
+++ pacemaker/pengine/test10/unmanaged-master.summary
@@ -27,6 +27,8 @@ OFFLINE: [ pcmk-3 pcmk-4 ]
      Stopped: [ pcmk-3 pcmk-4 ]
 
 Transition Summary:
+ * Shutdown pcmk-2
+ * Shutdown pcmk-1
 
 Executing cluster transition:
  * Cluster action:  do_shutdown on pcmk-2
Index: pacemaker/pengine/test10/whitebox-fail1.summary
===================================================================
--- pacemaker.orig/pengine/test10/whitebox-fail1.summary
+++ pacemaker/pengine/test10/whitebox-fail1.summary
@@ -14,6 +14,7 @@ Containers: [ lxc2:container2 ]
  D	(ocf::pacemaker:Dummy):	Started 18node1
 
 Transition Summary:
+ * Fence lxc1 (resource: container1)
  * Recover container1	(Started 18node2)
  * Recover M:4	(Started lxc1)
  * Recover B	(Started lxc1)
Index: pacemaker/pengine/test10/whitebox-fail2.summary
===================================================================
--- pacemaker.orig/pengine/test10/whitebox-fail2.summary
+++ pacemaker/pengine/test10/whitebox-fail2.summary
@@ -14,6 +14,7 @@ Containers: [ lxc2:container2 ]
  D	(ocf::pacemaker:Dummy):	Started 18node1
 
 Transition Summary:
+ * Fence lxc1 (resource: container1)
  * Recover container1	(Started 18node2)
  * Recover M:4	(Started lxc1)
  * Recover B	(Started lxc1)
Index: pacemaker/pengine/test10/whitebox-imply-stop-on-fence.summary
===================================================================
--- pacemaker.orig/pengine/test10/whitebox-imply-stop-on-fence.summary
+++ pacemaker/pengine/test10/whitebox-imply-stop-on-fence.summary
@@ -25,6 +25,9 @@ Containers: [ lxc-01_kiff-02:R-lxc-01_ki
  vm-fs	(ocf::heartbeat:Filesystem):	FAILED lxc-01_kiff-01
 
 Transition Summary:
+ * Fence lxc-02_kiff-01 (resource: R-lxc-02_kiff-01)
+ * Fence lxc-01_kiff-01 (resource: R-lxc-01_kiff-01)
+ * Fence kiff-01
  * Move    fence-kiff-02	(Started kiff-01 -> kiff-02)
  * Stop    dlm:0	(kiff-01)
  * Stop    clvmd:0	(kiff-01)
Index: pacemaker/pengine/test10/whitebox-ms-ordering.summary
===================================================================
--- pacemaker.orig/pengine/test10/whitebox-ms-ordering.summary
+++ pacemaker/pengine/test10/whitebox-ms-ordering.summary
@@ -9,6 +9,8 @@ Online: [ 18node1 18node2 18node3 ]
      Stopped: [ 18node1 18node2 18node3 ]
 
 Transition Summary:
+ * Fence lxc2 (resource: container2)
+ * Fence lxc1 (resource: container1)
  * Start   container1	(18node1)
  * Start   container2	(18node1)
  * Recover lxc-ms:0	(Master lxc1)
Index: pacemaker/pengine/test10/whitebox-unexpectedly-running.summary
===================================================================
--- pacemaker.orig/pengine/test10/whitebox-unexpectedly-running.summary
+++ pacemaker/pengine/test10/whitebox-unexpectedly-running.summary
@@ -5,6 +5,7 @@ Online: [ 18builder ]
  FAKE	(ocf::pacemaker:Dummy):	FAILED 18builder 
 
 Transition Summary:
+ * Fence remote1 (resource: FAKE)
  * Recover FAKE	(Started 18builder)
  * Start   remote1	(18builder)
 
Index: pacemaker/tools/crm_simulate.c
===================================================================
--- pacemaker.orig/tools/crm_simulate.c
+++ pacemaker/tools/crm_simulate.c
@@ -892,6 +892,7 @@ main(int argc, char **argv)
                       || modified ? "\n" : "");
             fflush(stdout);
 
+            LogNodeActions(&data_set, TRUE);
             for (gIter = data_set.resources; gIter != NULL; gIter = gIter->next) {
                 resource_t *rsc = (resource_t *) gIter->data;
 
